Gentoo Archives: gentoo-commits

From: Jeroen Roovers <jer@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/sysstat/
Date: Mon, 30 Sep 2019 09:07:31
Message-Id: 1569834444.e0d8840bf8ad233e66c689cde895fa5ccf27e2b5.jer@gentoo
commit:     e0d8840bf8ad233e66c689cde895fa5ccf27e2b5
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 08:58:54 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 09:07:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0d8840b

app-admin/sysstat: Version 12.1.7

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 app-admin/sysstat/Manifest              |  1 +
 app-admin/sysstat/sysstat-12.1.7.ebuild | 81 +++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/app-admin/sysstat/Manifest b/app-admin/sysstat/Manifest
index 9e8497a2c40..5fe8438b907 100644
--- a/app-admin/sysstat/Manifest
+++ b/app-admin/sysstat/Manifest
@@ -2,3 +2,4 @@ DIST sysstat-12.0.5.tar.gz 711967 BLAKE2B 96aa49d82e71407dbd99d840ca5f71af83f54b
 DIST sysstat-12.0.6.tar.gz 712148 BLAKE2B 1118ce071e06c2853ffdec2be1b8b3bf060571caf988e17e04ff62cbf43e7111c5951a131d176b49ad35e1da75d2b8936e23f1a385e1c83a013b802a0fc36003 SHA512 e8f542b26c2b0b7b3aadbf34dce640879d27f8f1659447f15ffb5a210987c74840418046409403da85a9eb4c01484615d230ddc700611b7c0088d72165bffe86
 DIST sysstat-12.1.5.tar.gz 1032031 BLAKE2B 9fbc0c0d132983daa334345f1f83ac8a46092cf52f35bafd443febd8ce40e4ab11b5b9b05b92e4074ecf9feab682035b2e08094ce10f3287036821be57db0800 SHA512 9dbc44b0226efc2f219ff71d2f0b83c930263fe8d6d0b451ae8404b3056558de04c76c16f2e8ba62083cde3a37cabbcd466d9247bd61ba5921dbc2ab6a1f686b
 DIST sysstat-12.1.6.tar.gz 1089333 BLAKE2B 3a3c3867b6b78ca1da7d5ef5838f5aad490e6d454aff3e8db266136ce7666112bcd1ad05b727c2455c16e53f6c84e0e75e32e8f4cc9318300aa9076921f68c1c SHA512 9c03e911fd6843b1719e080fce429e0d33f73f01619251f425dd4bbcc9d2764cd9beb8f8ebb4406b9540634d36c83303c10abcf682b079d35045454b1541984d
+DIST sysstat-12.1.7.tar.gz 1213236 BLAKE2B 11e54c8ef940d057b7494fc09620f644aeb9622c41756466835e4daf14c145ff0f3a06954657c4f065f20c172659c54bfaed5b3dcf084b8bc1f8d565420c0f1f SHA512 0ee3b246619ff6e904db1359b4dc05789fe1f55759d170f78de918b001a81137823801bdcb4c9d9137c3337d38259e79ccef9c76310d361e0a81bb2731b7a3d1

diff --git a/app-admin/sysstat/sysstat-12.1.7.ebuild b/app-admin/sysstat/sysstat-12.1.7.ebuild
new file mode 100644
index 00000000000..79183431381
--- /dev/null
+++ b/app-admin/sysstat/sysstat-12.1.7.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic systemd toolchain-funcs
+
+DESCRIPTION="System performance tools for Linux"
+HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86"
+IUSE="debug nls lm-sensors selinux static"
+
+CDEPEND="
+	nls? ( virtual/libintl )
+	lm-sensors? ( sys-apps/lm-sensors:= )
+"
+DEPEND="
+	${CDEPEND}
+	nls? ( sys-devel/gettext )
+"
+RDEPEND="
+	${CDEPEND}
+	selinux? ( sec-policy/selinux-sysstat )
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-11.0.4-cron.patch
+	"${FILESDIR}"/${PN}-11.7.3-flags.patch
+)
+
+src_prepare() {
+	if use nls; then
+		strip-linguas -i nls/
+		local lingua pofile
+		for pofile in nls/*.po; do
+			lingua=${pofile/nls\/}
+			lingua=${lingua/.po}
+			if ! has ${lingua} ${LINGUAS}; then
+				rm "nls/${lingua}.po" || die
+			fi
+		done
+	fi
+
+	default
+}
+
+src_configure() {
+	tc-export AR
+	use static && append-ldflags -static
+
+	sa_lib_dir=/usr/lib/sa \
+		conf_dir=/etc \
+		econf \
+			$(use_enable debug debuginfo) \
+			$(use_enable lm-sensors sensors) \
+			$(use_enable nls) \
+			--enable-copy-only \
+			--enable-documentation \
+			--enable-install-cron \
+			--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+}
+
+src_install() {
+	keepdir /var/log/sa
+
+	emake \
+		CHOWN=true \
+		DESTDIR="${D}" \
+		DOC_DIR=/usr/share/doc/${PF} \
+		MANGRPARG='' \
+		install
+
+	dodoc -r contrib/
+
+	newinitd "${FILESDIR}"/${PN}.init.d ${PN}
+	systemd_dounit ${PN}.service
+
+	rm "${D}"/usr/share/doc/${PF}/COPYING || die
+}